import * as TsConfigLoader from "./tsconfig-loader";
export interface ExplicitParams {
    baseUrl: string;
    paths: {
        [key: string]: Array<string>;
    };
}
export interface ConfigLoaderParams {
    tsConfigLoader?: (params: TsConfigLoader.TsConfigLoaderParams) => TsConfigLoader.TsConfigLoaderResult;
    explicitParams: ExplicitParams | undefined;
    cwd: string;
}
export interface ConfigLoaderSuccessResult {
    resultType: "success";
    absoluteBaseUrl: string;
    paths: {
        [key: string]: Array<string>;
    };
}
export interface ConfigLoaderFailResult {
    resultType: "failed";
    message: string;
}
export declare function configLoader({tsConfigLoader, explicitParams, cwd}: ConfigLoaderParams): ConfigLoaderSuccessResult | ConfigLoaderFailResult;
